/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (31/05/07)
 */   
package com.ejie.p06b.datatype.logic.pagination;

import java.io.Serializable;
import java.sql.ResultSet;

import com.ejie.p06b.general.P06BConstantes;
import com.ejie.p06b.general.P06BTablas;


/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (09/05/07)
 */
public class P06BCorredorPagination implements P06BIPagination, Serializable {
	
	private String expediente = "";
	private String identificador = "";
	private String corredor = "";
	private String estado = "";
	
	public P06BCorredorPagination(){
	}
	
	public P06BCorredorPagination(String expediente, String identificador,
			String corredor, String estado){
		this.expediente = expediente;
		this.identificador = identificador;
		this.corredor = corredor;
		this.estado = estado;
	}
	
	public Object getObj() throws Exception {
		return new P06BCorredorPagination(this.expediente, this.identificador, this.corredor
				,this.estado);
	}
	/* (non-Javadoc)
	 * @see com.ejie.p06b.datatype.logic.pagination.P06BIPagination#setRS(java.sql.ResultSet)
	 */
	public void setRS(ResultSet rs) throws Exception {
		String exp = (rs.getString(P06BTablas.P06B_P06B20_NUMEXP)==null)?"":rs.getString(P06BTablas.P06B_P06B20_NUMEXP);
		String iden = (rs.getString(P06BTablas.P06B_P06B20_IDENTIFICADOR)==null)?"":rs.getString(P06BTablas.P06B_P06B20_IDENTIFICADOR);
		String tipocorred = (rs.getString(P06BTablas.P06B_P06B20_CLASE)==null)?"":rs.getString(P06BTablas.P06B_P06B20_CLASE);
		String corred="";
		if( (tipocorred.equals(P06BConstantes.P06B_CORREDORES_TIPOPER_FISICA))
			|| (tipocorred.equals(P06BConstantes.P06B_AGENTEVINCULADO_FISICA)) 
			|| (tipocorred.equals(P06BConstantes.P06B_REASEGUROS_FISICA)) ){
			corred = (rs.getString(P06BTablas.P06B_P06B20_NOMBRE)==null)?"":rs.getString(P06BTablas.P06B_P06B20_NOMBRE);
			corred += " " + ((rs.getString(P06BTablas.P06B_P06B20_APE1)==null)?"":rs.getString(P06BTablas.P06B_P06B20_APE1));
			corred += " " + ((rs.getString(P06BTablas.P06B_P06B20_APE2)==null)?"":rs.getString(P06BTablas.P06B_P06B20_APE2));
		}else{
			corred = (rs.getString(P06BTablas.P06B_P06B20_RAZSOC)==null)?"":rs.getString(P06BTablas.P06B_P06B20_RAZSOC);
		}
		//Acoto la longitud del campo corredor para el listado
		if(corred.length()>=38){
			corred = corred.substring(0,37);
			corred += "...";
		}
		
		String est = (rs.getString(P06BTablas.P06B_P06B20_ESTADO)==null)?"":rs.getString(P06BTablas.P06B_P06B20_ESTADO);
		
		this.setExpediente(exp);
		this.setIdentificador(iden);
		this.setEstado(est);
		this.setCorredor(corred);
	}
	/**
	 * @return Returns the corredor.
	 */
	public String getCorredor() {
		return corredor;
	}
	/**
	 * @param corredor The corredor to set.
	 */
	public void setCorredor(String corredor) {
		this.corredor = corredor;
	}
	/**
	 * @return Returns the estado.
	 */
	public String getEstado() {
		return estado;
	}
	/**
	 * @param estado The estado to set.
	 */
	public void setEstado(String estado) {
		this.estado = estado;
	}
	/**
	 * @return Returns the expediente.
	 */
	public String getExpediente() {
		return expediente;
	}
	/**
	 * @param expediente The expediente to set.
	 */
	public void setExpediente(String expediente) {
		this.expediente = expediente;
	}
	/**
	 * @return Returns the identificador.
	 */
	public String getIdentificador() {
		return identificador;
	}
	/**
	 * @param identificador The identificador to set.
	 */
	public void setIdentificador(String identificador) {
		this.identificador = identificador;
	}
		
}
